com.corticon.rulesemf.asg

## Interface AsgFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface AsgFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `AsgPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AsgFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `createExpression()` Returns a new object of class 'Expression'
    `ExpressionList` | `createExpressionList()` Returns a new object of class 'Expression List'
    `ParserOutput` | `createParserOutput()` Returns a new object of class 'Parser Output'
    `Term` | `createTerm()` Returns a new object of class 'Term'
    `TermList` | `createTermList()` Returns a new object of class 'Term List'
    `Token` | `createToken()` Returns a new object of class 'Token'
    `Variable` | `createVariable()` Returns a new object of class 'Variable'
    `AsgPackage` | `getAsgPackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final AsgFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createExpression

          Expression createExpression()

      Returns a new object of class 'Expression'.
      Returns:
        a new object of class 'Expression'.

    - #### createExpressionList

          ExpressionList createExpressionList()

      Returns a new object of class 'Expression List'.
      Returns:
        a new object of class 'Expression List'.

    - #### createTerm

          Term createTerm()

      Returns a new object of class 'Term'.
      Returns:
        a new object of class 'Term'.

    - #### createTermList

          TermList createTermList()

      Returns a new object of class 'Term List'.
      Returns:
        a new object of class 'Term List'.

    - #### createToken

          Token createToken()

      Returns a new object of class 'Token'.
      Returns:
        a new object of class 'Token'.

    - #### createVariable

          Variable createVariable()

      Returns a new object of class 'Variable'.
      Returns:
        a new object of class 'Variable'.

    - #### createParserOutput

          ParserOutput createParserOutput()

      Returns a new object of class 'Parser Output'.
      Returns:
        a new object of class 'Parser Output'.

    - #### getAsgPackage

          AsgPackage getAsgPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.